Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt
Class RenderingHintsKeyExt

    java.lang.Object
      org.apache.batik.ext.awt.RenderingHintsKeyExt

    public final class RenderingHintsKeyExt

extends Object

Contains additional RenderingHints Keys, such as KEY_AREA_OF_INTEREST

Field Summary
`static RenderingHints.Key` | `KEY_AREA_OF_INTEREST` Key for the AOI hint.
`static RenderingHints.Key` | `KEY_AVOID_TILE_PAINTING` Hint for the org.apache.batik.ext.awt.image.GraphicsUtil class that tiling of a bitmap during rendering is undesired.
`static int` | `KEY_BASE`
`static RenderingHints.Key` | `KEY_BUFFERED_IMAGE` Hint for the destination of the rendering when it is a BufferedImage This works around the fact that Java 2D sometimes lies about the attributes of the Graphics2D device, when it is an image.
`static RenderingHints.Key` | `KEY_COLORSPACE` Hint to source that we only want an alpha channel.
`static RenderingHints.Key` | `KEY_TRANSCODING` Hint as to the transcoding destination.
`static Object` | `VALUE_AVOID_TILE_PAINTING_DEFAULT`
`static Object` | `VALUE_AVOID_TILE_PAINTING_OFF`
`static Object` | `VALUE_AVOID_TILE_PAINTING_ON`
`static String` | `VALUE_TRANSCODING_PRINTING`
`static String` | `VALUE_TRANSCODING_VECTOR`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KEY_BASE

    public static final int KEY_BASE

### KEY_TRANSCODING

    public static final RenderingHints.Key KEY_TRANSCODING

  Hint as to the transcoding destination.

### VALUE_TRANSCODING_PRINTING

    public static final String VALUE_TRANSCODING_PRINTING

See Also:
  Constant Field Values

### VALUE_TRANSCODING_VECTOR

    public static final String VALUE_TRANSCODING_VECTOR

See Also:
  Constant Field Values

### KEY_AREA_OF_INTEREST

    public static final RenderingHints.Key KEY_AREA_OF_INTEREST

  Key for the AOI hint. This hint is used to propagate the AOI to Paint and PaintContext instances.

### KEY_BUFFERED_IMAGE

    public static final RenderingHints.Key KEY_BUFFERED_IMAGE

  Hint for the destination of the rendering when it is a BufferedImage This works around the fact that Java 2D sometimes lies about the attributes of the Graphics2D device, when it is an image. It is strongly suggested that you use org.apache.batik.ext.awt.image.GraphicsUtil.createGraphics to create a Graphics2D from a BufferedImage, this will ensure that the proper things are done in the processes of creating the Graphics.

### KEY_COLORSPACE

    public static final RenderingHints.Key KEY_COLORSPACE

  Hint to source that we only want an alpha channel. The source should follow the SVG spec for how to convert ARGB, RGB, Grey and AGrey to just an Alpha channel.

### KEY_AVOID_TILE_PAINTING

    public static final RenderingHints.Key KEY_AVOID_TILE_PAINTING

  Hint for the org.apache.batik.ext.awt.image.GraphicsUtil class that tiling of a bitmap during rendering is undesired. This is primarily for the PDF and PostScript transcoders where tiling can lead to suboptimal results due to overlaps in transparency and filter effects.

### VALUE_AVOID_TILE_PAINTING_ON

    public static final Object VALUE_AVOID_TILE_PAINTING_ON

### VALUE_AVOID_TILE_PAINTING_OFF

    public static final Object VALUE_AVOID_TILE_PAINTING_OFF

### VALUE_AVOID_TILE_PAINTING_DEFAULT

    public static final Object VALUE_AVOID_TILE_PAINTING_DEFAULT

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.